Groovy 1.7.10

## org.codehaus.groovy.binding
[Java] Class PropertyChangeProxyTargetBinding

    java.lang.Object
      org.codehaus.groovy.binding.PropertyChangeProxyTargetBinding

All Implemented Interfaces:
  TargetBinding

    public class PropertyChangeProxyTargetBinding
    extends Object

Constructor Summary
`PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)`

Method Summary
`void` | `updateTargetValue(Object value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PropertyChangeProxyTargetBinding

    public PropertyChangeProxyTargetBinding(Object proxyObject, String propertyName, PropertyChangeListener listener)

Method Detail

### updateTargetValue

    public void updateTargetValue(Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.